local t = Def.ActorFrame {}

t[#t+1] = Def.Quad {
	InitCommand=cmd(stretchto,0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
}

t[#t+1] = LoadActor("BACK1")..{
	InitCommand=cmd(stretchto,0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
	OnCommand=cmd(diffusealpha,0;sleep,0.1;diffusealpha,1);
}

t[#t+1] = Def.Quad {
	InitCommand=cmd(stretchto,0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
	OnCommand=cmd(diffusealpha,0;sleep,0.2;diffusealpha,1;glow,1,1,1,1);
}

t[#t+1] = LoadActor("OLD01")..{
	InitCommand=cmd(stretchto,0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
	OnCommand=cmd(diffusealpha,0;sleep,0.3;diffusealpha,1;diffuseshift;effectcolor1,color("#ff7f01");effectcolor2,color("#677099");effectperiod,3);
}

t[#t+1] = LoadActor("BULL1")..{
	InitCommand=cmd(stretchto,0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
	OnCommand=cmd(diffusealpha,0;sleep,0.4;diffusealpha,1);
}

t[#t+1] = LoadActor("typho")

--zonidoo!!
t[#t+1] = Def.Actor {
	StartTransitioningCommand=function(self)	
		SOUND:PlayOnce(THEME:GetPathS("","failed"));
	end;
}

return t